%define name	byacc
%define version	1.9
%define release	20mdk

%define date	20040328

Summary:	A public domain Yacc parser generator
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Development/Other
URL:		http://dickey.his.com/byacc/byacc.html
# old source: ftp://ftp.cs.berkeley.edu/ucb/4bsd/
Source:		ftp://invisible-island.net/byacc/byacc.tar.bz2
Patch0:		byacc-1.9-fixmanpage.patch.bz2
Patch1:		byacc-1.9-automake.patch.bz2
Patch2:		byacc-1.9-security.patch.bz2
Patch3:		byacc-1.9-includes.patch.bz2
Patch4:		byacc-20040328-no-recreate-unionfile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Byacc (Berkeley Yacc) is a public domain LALR parser generator which
is used by many programs during their build process.

If you are going to do development on your system, you will want to
install either this package or bison. Berkeley Yacc is regarded as a
better parser, while bison is more widely used under GNU world.

%prep
%setup -q -n %{name}-%{date}
%patch4 -p1 -b .unionfile

%build
%configure
%make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mv $RPM_BUILD_ROOT%{_bindir}/{yacc,byacc}
ln -s yacc.1 $RPM_BUILD_ROOT%{_mandir}/man1/byacc.1

%post
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/byacc 20

%preun
if [ $1 -eq 0 ]; then
	%{_sbindir}/update-alternatives --remove yacc %{_bindir}/byacc
fi

%triggerpostun -- byacc <= 1.9-16mdk
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/byacc 20

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS NEW_FEATURES NOTES
%doc NO_WARRANTY README
%{_bindir}/byacc
%{_mandir}/man1/*

%changelog
* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 1.9-20mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.9-19mdk
- Rebuild

* Thu Dec 30 2004 Abel Cheung <deaddog@mandrake.org> 1.9-18mdk
- P4 (Fix #12823)

* Thu Dec 23 2004 Abel Cheung <deaddog@mandrake.org> 1.9-17mdk
- Use the 2004-03-28 tarball distributed by Thomas Dickey (of ncurses fame),
  which contains quite a few fixes and enhancements. Better than the 4BSD
  version dated back from 1993.
- Don't apply all patches (in particular insecure tempfile patch;
  tmpfile() should be fine, but who knows). Keep them for now.
- Make byacc an alternative of bison

* Thu Jul  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9-16mdk
- better gcc3.4 fix, in addition that errno is not a variable

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9-15mdk
- fix gcc-3.4 build (P4)
- force use of automake1.4 and autoconf2.5

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.9-14mdk
- rebuild

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9-13mdk
- Rebuild
- Add some sort of make checking

* Sat Nov 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-12mdk
- BuildRequires: autoconf automake
- add URL tag

* Tue Jul 24 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9-11mdk
- rebuild
- fix license

* Sat Apr 14 2001 Francis Galiegue <fg@mandrakesoft.com> 1.9-10mdk
- Patch3: fix include files (sizeof(int) != sizeof(void *))

* Wed Mar  7 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.9-9mdk
- patch for safer creation of temp files

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-8mdk
- more docs
- convert build to autoconf/automake for much clearer spec

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-7mdk
- BM
- let spechelper compress manpages

* Mon Jul 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.9-6mdk
- macroszifications
- change permision of build dir in order to remove it

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-5mdk
- removed version from spec filename

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.9-4mdk
- updated BuildRoot
- group now Development/Other

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- man page fixed.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
